Link inspector overlapped by toolbar and extends past the screen when it opens upwards (only when editing links in tables and references)
Closed, ResolvedPublic1 Story Points

Description

Reported on mw. org.
The list of links can appear above the link itself, it can appear far from the point where it's expected to be, or the toolbar can get displayed on the top of the results.
I promise the images explain it better:
https://commons.wikimedia.org/wiki/File:TableError1.png; https://commons.wikimedia.org/wiki/File:TableError2.png (these are with Google Chrome, operating system Windows 10 and Vector skin).



(mine is on Safari, Sierra 10.12.6.)
(Assuming OOjs UI may be related.)

Elitre created this task.Dec 14 2017, 7:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 14 2017, 7:18 PM
matmarex renamed this task from The link inspector can behave weirdly when editing links in tables and references to Link inspector overlapped by toolbar and extends past the screen when it opens upwards (only when editing links in tables and references).Dec 16 2017, 10:03 PM
matmarex claimed this task.
matmarex removed a project: OOUI.
matmarex updated the task description. (Show Details)

Change 400954 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[VisualEditor/VisualEditor@master] ve.ui.DesktopContext: Do not flip the popup

https://gerrit.wikimedia.org/r/400954

Deskana set the point value for this task to 1.Jan 2 2018, 12:45 PM
Deskana triaged this task as High priority.
Deskana moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

Change 400954 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] ve.ui.DesktopContext: Do not flip the popup

https://gerrit.wikimedia.org/r/400954

Change 401599 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (90a2a3834)

https://gerrit.wikimedia.org/r/401599

Change 401599 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (8c5e78c7f)

https://gerrit.wikimedia.org/r/401599

Change 401771 had a related patch set uploaded (by Bartosz Dziewoński; owner: Jforrester):
[mediawiki/extensions/VisualEditor@wmf/1.31.0-wmf.15] Update VE core submodule to master (8c5e78c7f)

https://gerrit.wikimedia.org/r/401771

Change 401771 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.31.0-wmf.15] Update VE core submodule to master (8c5e78c7f)

https://gerrit.wikimedia.org/r/401771

Mentioned in SAL (#wikimedia-operations) [2018-01-03T20:16:06Z] <thcipriani@tin> Synchronized php-1.31.0-wmf.15/extensions/VisualEditor/lib/ve: SWAT: [[gerrit:401771|Update VE core submodule to master]] T182907 T183590 (duration: 01m 06s)

matmarex closed this task as Resolved.Jan 3 2018, 8:35 PM

Fixed and deployed to wmf.15 (will go out this week).

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJan 3 2018, 8:35 PM